# RUN: yaml2obj %s | obj2yaml | FileCheck %s
--- !WASM
FileHeader:
  Version:         0x00000001
Sections:
  - Type:            TYPE
    Signatures:
      - Index:           0
        ReturnType:      I32
        ParamTypes:
  - Type:            FUNCTION
    FunctionTypes:   [ 0, 0 ]
  - Type:            GLOBAL
    Globals:         
      - Index:       0
        Type:        I32
        Mutable:     false
        InitExpr:
          Opcode:          I32_CONST
          Value:           1
  - Type:            EXPORT
    Exports:         
      - Name:            function_export
        Kind:            FUNCTION
        Index:           1
      - Name:            global_export
        Kind:            GLOBAL
        Index:           0
  - Type:            CODE
    Functions:
      - Index:           0
        Locals:
        Body:            00
      - Index:           1
        Locals:
        Body:            00
  - Type:            CUSTOM
    Name:            linking
    Version:         2
    SymbolTable:
      - Index:           0
        Kind:            FUNCTION
        Name:            function_export
        Flags:           [ BINDING_WEAK ]
        Function:        0
      - Index:           1
        Kind:            GLOBAL
        Name:            global_export
        Flags:           [ BINDING_WEAK ]
        Global:          0
...
# CHECK: --- !WASM
# CHECK: FileHeader:
# CHECK:   Version:           0x00000001
# CHECK: Sections:
# CHECK:   - Type:            EXPORT
# CHECK:     Exports:         
# CHECK:       - Name:            function_export
# CHECK:         Kind:            FUNCTION
# CHECK:         Index:           1
# CHECK:       - Name:            global_export
# CHECK:         Kind:            GLOBAL
# CHECK:         Index:           0
# CHECK:   - Type:            CUSTOM
# CHECK:     Name:            linking
# CHECK:     SymbolTable:
# CHECK:      - Index:           0
# CHECK:        Kind:            FUNCTION
# CHECK:        Name:            function_export
# CHECK:        Flags:           [ BINDING_WEAK ]
# CHECK:        Function:        0
# CHECK:      - Index:           1
# CHECK:        Kind:            GLOBAL
# CHECK:        Name:            global_export
# CHECK:        Flags:           [ BINDING_WEAK ]
# CHECK:        Global:          0
